[Prev: TSINGLETXT] | [Resources][TOC] | [Next: TSLICEBEG]

# TSLICE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_TSLICE=`number`:`number`:`inclusive-flag

Element

  `<TSLICE>`
  number`:`number`:`inclusive-flag
  `</TSLICE>`

Command-line Option

  `-tslice` number`:`number`:`inclusive-flag

## Description

TSLICE sets the default argument values for the the `$TSLICE$` resource variable: the thread listing "slice" (ie. a portion of the complete thread listing). The value of the TSLICE resource is two numbers and an inclusive flag, where each value is separated by a colon. The first number is the number of messages listed before the current message in the thread slice. The second number is the number of messages listed after the current message. The inclusive flag is either a `1` or `0`. If `1`, `$TSLICE$` will only include in the thread listing messages in the same thread as the current thread. If `0`, `$TSLICE$` will include messages in neighboring threads if before and/or after count extend beyond the current thread. If the inclusive flag is not set, then `0` will be used.

The default values can be overridden by providing different values as arguments to `$TSLICE$`.

NOTE | The value of the TSLICE resource is used to determine the number of messages to update, before and after by thread, when a new message is added. To insure that messages within a thread slice are updated when a new message is added, make sure the before and after ranges specified for TSLICE is equal to maximum before and the maximum after range arguments specifed in the uses of the `$TSLICE$` resource variable. For example, if you have `$TSLICE(0;4)$` and `$TSLICE(3;3)$` in message layout resources, you should set TSLICE to `3:4`. If you only use `$TSLICE$` once, it is best to set options for thread slice formatting via the TSLICE resource so you will not have anything to worry about.

## Default Setting

    0:4:0

## Resource Variables

N/A

## Examples

The default setting causes a thread slice to start with the current message. However, you may want to have the current message in the middle so the reader can see message that come before along with after the current message. The following causes the previous two and next two messages to be listed with the current in the middle and only if the messages are part of the current thread:

    <TSlice>
    2:2:1
    </TSlice>

## Version

2.2.0

## See Also

`$TSLICE$`, TSLICEBEG, TSLICECONTBEG, TSLICECONTEND, TSLICEEND, TSLICEINDENTBEG, TSLICEINDENTEND, TSLICELIEND, TSLICELIENDCUR, TSLICELINONE, TSLICELINONEEND, TSLICELITXT, TSLICELITXTCUR, TSLICESINGLETXT, TSLICESINGLETXTCUR, TSLICESUBJECTBEG, TSLICESUBJECTEND, TSLICESUBLISTBEG, TSLICESUBLISTEND, TSLICETOPBEG, TSLICETOPBEGCUR, TSLICETOPEND, TSLICETOPENDCUR

[Prev: TSINGLETXT] | [Resources][TOC] | [Next: TSLICEBEG]